package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProductionCircleWeight;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionCircleWeightService extends BaseService<ProductionCircleWeight> {

    void updateStatus(Long id, Integer status);

    /**
     * 根据料号查询配方重量
     * @see：马国栋完成
     * @param productCode
     * @return ProductionCircleWeight
     */
	ProductionCircleWeight getByProductCode(String productCode);

	void deleteDel(Long id);

    Integer getNewestVersion(String weightName, String weightCode);
}
